summaryrefslogtreecommitdiff
path: root/test/integration/test-apt-progress-fd-error
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2013-10-18 08:32:36 +0200
committerMichael Vogt <mvo@debian.org>2013-10-18 08:32:36 +0200
commit11ef54810d6241b6d2433d27099b43763dabaee3 (patch)
tree61785f5025c8f4f7393c67a565d53b43d83560c8 /test/integration/test-apt-progress-fd-error
parent6161edd7a310209faae5288a2a174bf3251ef656 (diff)
reshuffle dpkgpm.cc code a bit more
Diffstat (limited to 'test/integration/test-apt-progress-fd-error')
-rwxr-xr-xtest/integration/test-apt-progress-fd-error2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/integration/test-apt-progress-fd-error b/test/integration/test-apt-progress-fd-error
index 0cd59410e..96d66371a 100755
--- a/test/integration/test-apt-progress-fd-error
+++ b/test/integration/test-apt-progress-fd-error
@@ -18,5 +18,5 @@ setupaptarchive
exec 3> apt-progress.log
testfailure aptget install foo1 foo2 -y -o APT::Status-Fd=3
msgtest "Ensure correct error message"
-grep -q "aptarchive/pool/foo2_0.8.15_amd64.deb :40:trying to overwrite '/usr/bin/file-conflict', which is also in package foo1 0.8.15" apt-progress.log && msgpass || msgfail
+grep -q "aptarchive/pool/foo2_0.8.15_amd64.deb :40:trying to overwrite '/usr/bin/file-conflict', which is also in package foo1 0.8.15" apt-progress.log && msgpass || (cat apt-progress.log && msgfail)